# Generated from square_connect-2.20190724.1.334.gem by gem2rpm -*- rpm-spec -*-
%global gem_name square_connect

Name: rubygem-%{gem_name}
Version: 2.20190724.1.334
Release: 1%{?dist}
Summary: Square Connect API Ruby Gem
License: Apache-2.0
URL: https://github.com/square/connect-ruby-sdk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.4.0
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(vcr) >= 3.0.1
# BuildRequires: rubygem(webmock) >= 1.24
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(webmock) >= 1.24.3
# BuildRequires: rubygem(autotest) >= 4.4
# BuildRequires: rubygem(autotest) < 5
# BuildRequires: rubygem(autotest) >= 4.4.6
# BuildRequires: rubygem(autotest-rails-pure) >= 4.1
# BuildRequires: rubygem(autotest-rails-pure) < 5
# BuildRequires: rubygem(autotest-rails-pure) >= 4.1.2
# BuildRequires: rubygem(autotest-growl) >= 0.2
# BuildRequires: rubygem(autotest-growl) < 1
# BuildRequires: rubygem(autotest-growl) >= 0.2.16
# BuildRequires: rubygem(autotest-fsevent) >= 0.2
# BuildRequires: rubygem(autotest-fsevent) < 1
# BuildRequires: rubygem(autotest-fsevent) >= 0.2.11
BuildArch: noarch

%description
The Square Connect Ruby SDK is retired. Please migrate to the new Square gem:
https://github.com/square/square-ruby-sdk.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/travis-ci
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/spec
%{gem_instdir}/square_connect.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 2.20190724.1.334-1
- Initial package
